// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers','angular.filter'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})


.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

    .state('app', {
    url: '/app',
    abstract: true,
    templateUrl: 'templates/menu.html',
    controller: 'AppCtrl'
  })

  .state('app.home', {
      url: '/home',
      views: {
        'menuContent': {
          templateUrl: 'templates/home.html',
          controller: 'HomeCtrl'
        }
      }
    })
	  .state('app.interest', {
      url: '/interest',
      views: {
        'menuContent': {
          templateUrl: 'templates/interest.html'
        }
      }
    })
	
	 .state('app.impdoc', {
      url: '/impdoc',
      views: {
        'menuContent': {
          templateUrl: 'templates/impdoc.html'
        }
      }
    })
	.state('app.about', {
      url: '/about',
      views: {
        'menuContent': {
          templateUrl: 'templates/about.html'
        }
      }
    })
	.state('app.aboutsmc', {
      url: '/aboutsmc',
      views: {
        'menuContent': {
          templateUrl: 'templates/aboutsmc.html'
        }
      }
    })	
	  .state('app.calc', {
      url: '/calc',
      views: {
        'menuContent': {
          templateUrl: 'templates/calc.html'
        }
      }
    })
	 .state('app.sscheme', {
      url: '/sscheme',
      views: {
        'menuContent': {
          templateUrl: 'templates/sscheme.html',
		  controller: 'StateCtrl'
        }
      }
    })
	 .state('app.cscheme', {
      url: '/cscheme',
      views: {
        'menuContent': {
          templateUrl: 'templates/cscheme.html',
		  controller: 'CentralCtrl'
        }
      }
    })
	 .state('app.regulations', {
      url: '/regulations',
      views: {
        'menuContent': {
          templateUrl: 'templates/regulations.html'
        }
      }
    })
	.state('app.faq', {
      url: '/faq',
      views: {
        'menuContent': {
          templateUrl: 'templates/faq.html'
        }
      }
    });
  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/home');
});
