angular.module('starter.controllers', [])

.controller('AppCtrl', function($scope, $ionicModal, $timeout) {

  // With the new view caching in Ionic, Controllers are only called
  // when they are recreated or on app start, instead of every page change.
  // To listen for when this page is active (for example, to refresh data),
  // listen for the $ionicView.enter event:
  //$scope.$on('$ionicView.enter', function(e) {
  //});

  // Form data for the login modal
  $scope.loginData = {};

  // Create the login modal that we will use later
  $ionicModal.fromTemplateUrl('templates/login.html', {
    scope: $scope
  }).then(function(modal) {
    $scope.modal = modal;
  });

  // Triggered in the login modal to close it
  $scope.closeLogin = function() {
    $scope.modal.hide();
  };

  // Open the login modal
  $scope.login = function() {
    $scope.modal.show();
  };

  // Perform the login action when the user submits the login form
  $scope.doLogin = function() {
    console.log('Doing login', $scope.loginData);

    // Simulate a login delay. Remove this and replace with your login
    // code if using a login system
    $timeout(function() {
      $scope.closeLogin();
    }, 1000);
  };
  $scope.toggleGroup = function(group) {
    if ($scope.isGroupShown(group)) {
      $scope.shownGroup = null;
    } else {
      $scope.shownGroup = group;
    }
  };
  $scope.isGroupShown = function(group) {
    return $scope.shownGroup === group;
  };
  $scope.openExLink = function(exLink) {
    		var ref = window.open(exLink, '_system', 'location=yes');
    	};

})

.controller('HomeCtrl', function($scope) {

})
.controller('CalcCtrl', function($scope, $ionicLoading) {


})
.controller('IntCtrl', function($scope, $ionicLoading, $http) {


})
.controller('ImpdocCtrl', function($scope, $ionicLoading, $http, $window, $ionicPopup) {
	$ionicLoading.show({
				template: '<ion-spinner class="spinner-timesheet" icon="bubbles"></ion-spinner><br>Loading..'
			});
			$http({
							//url: "http://www.teriin.org/smc/important_links.php?type=mobile",
							url: "http://suratsolar.suratmunicipal.gov.in/Service/MNREService.aspx",
							method: "GET"

						}) .success(function (result, status, headers, config) {
					        $ionicLoading.hide();
							console.log(result);
							$scope.response= result;
					}).error(function (data, status, headers, config) {
			            $ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
								title: '!! Error !!',
								template: 'Seems like problem with your internet connection or server error',
								 });
					});
		$scope.openUrl = function(res) {
			$ionicLoading.show({
				template: '<ion-spinner class="spinner-timesheet" icon="bubbles"></ion-spinner><br>Loading..'
			});
					console.log(res);
					$url= res;
					console.log($url);
					$ionicLoading.hide();
				var ref = window.open($url, '_system', 'location=yes');
				//var ref = window.open('http://www.teriin.org/', '_blank', 'location=yes');
				
          
        };


})
.controller('CentralCtrl', function($scope, $ionicLoading, $http, $ionicPopup) {
	/*$ionicLoading.show({
				template: '<ion-spinner class="spinner-timesheet" icon="bubbles"></ion-spinner><br>Loading..'
			});
			$http({
							url: "http://dev.teriin.org/Service/CentralService.aspx",
							method: "GET"

						}) .success(function (result, status, headers, config) {
					        $ionicLoading.hide();
							console.log(result);
							$scope.responseCentral= result;
					}).error(function (data, status, headers, config) {
			            $ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
								title: '!! Error !!',
								template: 'Seems like problem with your internet connection or server error',
								 });
					});
*/

})
.controller('StateCtrl', function($scope, $ionicLoading, $http, $ionicPopup) {
	/*$ionicLoading.show({
				template: '<ion-spinner class="spinner-timesheet" icon="bubbles"></ion-spinner><br>Loading..'
			});
			$http({
							url: "http://dev.teriin.org/Service/StateService.aspx",
							method: "GET"

						}) .success(function (result, status, headers, config) {
					        $ionicLoading.hide();
							console.log(result);
							$scope.responseState= result;
					}).error(function (data, status, headers, config) {
			            $ionicLoading.hide();
						var alertPopup = $ionicPopup.alert({
								title: '!! Error !!',
								template: 'Seems like problem with your internet connection or server error',
								 });
					});

*/
});
